[![CI](https://github.com/project-gemmi/gemmi/workflows/CI/badge.svg)](https://github.com/project-gemmi/gemmi/actions)
[![Build status](https://ci.appveyor.com/api/projects/status/cv5hu6h6hmxd9k5a?svg=true)](https://ci.appveyor.com/project/wojdyr/gemmi)

GEMMI can help if you work with:

* macromolecular models (from mmCIF, PDB and mmJSON files),
* refinement restraints (CIF files) and small molecule models,
* crystallographic reflections (from MTZ and SF-mmCIF files),
* electron and other density maps (MRC/CCP4 files),
* crystallographic symmetries,
* or if you just read and write CIF/STAR files (where C=Crystallographic).

GEMMI is a C++ library (currently, C++14) accompanied by:

* command-line [tools](https://gemmi.readthedocs.io/en/latest/program.html),
* Python bindings,
* Fortran 2003+ interface (in progress),
* partial WebAssembly bindings,
* online [tools](https://project-gemmi.github.io/wasm/)
  and little data viz [projects](https://project-gemmi.github.io/pdb-stats/).

Documentation: http://gemmi.readthedocs.io/en/latest/

GEMMI is an open-source project of [CCP4](https://www.ccp4.ac.uk/)
and [Global Phasing Ltd](https://www.globalphasing.com/),
two major providers of software for macromolecular crystallography.

Citing: [JOSS paper](https://doi.org/10.21105/joss.04200).

License: MPLv2, or (at your option) LGPLv3.
© 2017-2024 Global Phasing Ltd.
